"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
// eslint-disable-next-line no-shadow
var LogLevelEnum;
(function (LogLevelEnum) {
    LogLevelEnum[LogLevelEnum["OFF"] = -1] = "OFF";
    LogLevelEnum[LogLevelEnum["DEBUG"] = 0] = "DEBUG";
    LogLevelEnum[LogLevelEnum["INFO"] = 1] = "INFO";
    LogLevelEnum[LogLevelEnum["WARN"] = 2] = "WARN";
    LogLevelEnum[LogLevelEnum["ERROR"] = 3] = "ERROR";
})(LogLevelEnum || (LogLevelEnum = {}));
class Logger {
    constructor(context, logLevel = 'INFO') {
        this.logLevel = logLevel;
        this.context = context;
    }
    log(level, message) {
        if (LogLevelEnum[level] >= LogLevelEnum[this.logLevel]) {
            console.log(`🪓 [${level}/${this.context}] ${message}`);
        }
    }
    debug(message) {
        this.log('DEBUG', message);
    }
    info(message) {
        this.log('INFO', message);
    }
    warn(message) {
        this.log('WARN', message);
    }
    error(message) {
        this.log('ERROR', message);
    }
}
exports.Logger = Logger;
exports.default = Logger;
